<template>
    <button v-bind:class="className" @click="checked = !checked" >{{title}}</button>
</template>

<script>

export default{
    name: "ToggleButton",
    data: () => ({
        checked: false,
        title: "unchecked"
    }),
    computed: {
        className: function() {
            return this.checked ? "checked" : "unchecked";
        }
    },
    watch: {
        checked: function (val) {
            this.title = val ? "checked" : "unchecked";
        },
    },
}
</script>

<style scoped>
.checked{ color: green}
.unchecked{ color: red}
</style>